import { Meta } from '@storybook/addon-docs';

<Meta title="Getting started" />

# Getting started

The Adatree UI package is publicly available but it is hosted on a private npm repository.

In order for your project to install the Adatree UI package, you must first add the repository location.

## Installation

1. Create a `.yarnrc` or `.npmrc` file at the root of your project.
2. Add the code below to your new file.

.npmrc

```
@adatree-oss:registry=https://gitlab.com/api/v4/projects/32542974/packages/npm/
```

.yarnrc

```
"@adatree-oss:registry" "https://gitlab.com/api/v4/projects/32542974/packages/npm/"
```

3. Install the package.

```
npm install @adatree-oss/atomic-components
```

or

```
yarn add @adatree-oss/atomic-components
```

## Configuration

<br />

### Configure the Theme Provider

The Adatree UI components use the [MUI theming](https://mui.com/customization/theming/) system.

In your App.tsx or App.js file, add the Adatree `ThemeProvider` to your app.

```
  // App.tsx or App.js

  import React from 'react';
  ...
  import {ThemeProvider} from '@adatree-oss/atomic-components';

  function App() {
    return (
      <ThemeProvider>
      ...
      </ThemeProvider>
    );
  }

  export default App;
```

### Configure the Context Providers

Some of the Adatree UI components use the [React Context](https://reactjs.org/docs/context.html) to manage state.

To use these components you will need to use them inside the correct context, for example, the `ConsentFormProvider`.

```
  // App.tsx or App.js

  import React from 'react';
  ...
  import {ConsentFormProvider} from '@adatree-oss/atomic-components';

  function App() {
    return (
      <ConsentFormProvider>
      ...
      </ConsentFormProvider>
    );
  }

  export default App;
```
